<?php 
//******************************************************************************************************
//   ATTENTION: THIS FILE HEADER MUST REMAIN INTACT. DO NOT DELETE OR MODIFY THIS FILE HEADER.
//
//   Name: uu_file_upload.php
//   Revision: 2.6
//   Date: 07/09/2007 8:35PM
//   Link: http://uber-uploader.sourceforge.net 
//   Initial Developer: Peter Schmandra  http://www.webdice.org
//   Description: Upload files and show progress in popup.
//   Note: The popup is called on the submit and it submits the upload. This method defeats pop up blockers
//
//   Licence:
//   The contents of this file are subject to the Mozilla Public
//   License Version 1.1 (the "License"); you may not use this file
//   except in compliance with the License. You may obtain a copy of
//   the License at http://www.mozilla.org/MPL/
// 
//   Software distributed under the License is distributed on an "AS
//   IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
//   implied. See the License for the specific language governing
//   rights and limitations under the License.
//
//***************************************************************************************************************
header('Content-type: text/html; charset=UTF-8');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . date('r'));
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma: no-cache');

include "uu_conlib.php";

$THIS_VERSION = "2.6";

if(isset($_GET['cmd']) && $_GET['cmd'] == 'about'){ kak("<u><b>UBER UPLOADER FILE UPLOAD</b></u><br>UBER UPLOADER VERSION =  <b>" . $UBER_VERSION . "</b><br>UU_FILE_UPLOAD = <b>" . $THIS_VERSION . "<b><br>\n"); }

$temp_sid = generateTempSID();

///////////////////////////////////////////////////////////////////////
// This is where you might set your config file eg.                  //
// if($_SESSION['user'] == "tom"){ $config_file = 'uu_tom_config'; } //
///////////////////////////////////////////////////////////////////////
$config_file = $default_config_file;

$path_to_upload_script .= '?temp_sid=' . $temp_sid;
$path_to_ini_status_script .= '?temp_sid=' . $temp_sid; 

if($MULTI_CONFIGS_ENABLED){ 
	$path_to_upload_script .= "&config_file=$config_file";
	$path_to_ini_status_script .= "&config_file=$config_file"; 
}                                                                 

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>Uber-Uploader - Free File Upload Progress Bar</title>
  <meta http-equiv="content-type" content="text/html; charset=utf-8">
  <meta http-equiv="pragma" content="no-cache">
  <meta http-equiv="cache-control" content="no-cache">
  <meta http-equiv="expires" content="-1">
  <meta name="robots" content="index,nofollow"> 
  <!-- Please do not remove this tag: Uber-Uploader Ver 5.2 http://uber-uploader.sourceforge.net -->
  <style>
    .info {font:18px Arial;}
    .data {background-color:#b3b3b3; border:1px solid #898989; width:40%;}
    .data tr td {background-color:#dddddd; font:13px Arial; width:35%;}
    .bar1 {background-color:#b3b3b3; position:relative; text-align:left; height:20px; width:<?php print $progress_bar_width; ?>px; border:1px solid #505050;}
    .bar2 {background-color:#000099; position:relative; text-align:left; height:20px; width:0%;}
  </style>
  <script language="javascript" type="text/javascript">
    var path_to_ini_status_script = "<?php print $path_to_ini_status_script; ?>";
    var check_file_name_format = <?php print $check_file_name_format; ?>;
    var check_disallow_extensions = <?php print $check_disallow_extensions; ?>;
    <?php if($check_disallow_extensions){ print "var disallow_extensions = $disallow_extensions;\n"; } ?>
    var check_allow_extensions = <?php print $check_allow_extensions; ?>;
    <?php if($check_allow_extensions){ print "var allow_extensions = $allow_extensions;\n"; } ?>
    var check_null_file_count = <?php print $check_null_file_count; ?>;
    var check_duplicate_file_count = <?php print $check_duplicate_file_count; ?>;
    var max_upload_slots = <?php print $max_upload_slots; ?>;
    var cedric_progress_bar = <?php print $cedric_progress_bar; ?>;
    var progress_bar_width = <?php print $progress_bar_width; ?>;
    var show_percent_complete = <?php print $show_percent_complete; ?>;
    var show_files_uploaded = <?php print $show_files_uploaded; ?>;
    var show_current_position = <?php print $show_current_position; ?>;
    var show_elapsed_time = <?php print $show_elapsed_time; ?>;
    var show_est_time_left = <?php print $show_est_time_left; ?>;
    var show_est_speed = <?php print $show_est_speed; ?>;     
  </script>
  <script language="javascript" type="text/javascript" src="uu_file_upload.js"></script>
</head>
<body style="background-color: #EEEEEE; color: #000000; font-family: arial, helvetica, sans_serif;" onLoad="iniFilePage()">
<?php print "<!-- TMP_SID: $temp_sid -->\n"; ?>
  <div align="center">
    <br>
    
    <!-- Start Progress Bar -->
    <div class="info" id="progress_info"></div>
    <div id="progress_bar" style="display:none">
      <div class="bar1" id="upload_status_wrap" align="center">
        <div class="bar2" id="upload_status"></div>
      </div>
      
      <?php if($show_percent_complete || $show_files_uploaded || $show_current_position || $show_elapsed_time || $show_est_time_left || $show_est_speed){ ?>
      <br>
      <table class="data" cellpadding='3' cellspacing='1'>
        <?php if($show_percent_complete){ ?>
        <tr>
          <td align="left"><b>Percent Complete:</b></td>
          <td align="center"><span id="percent">0%</span></td>
        </tr>
        <?php } ?>
        <?php if($show_files_uploaded){ ?>
        <tr>
          <td><b>Files Uploaded:</b></td>
          <td align="center"><span id="uploaded_files">0</span> of <span id="total_uploads"></span></td>
        </tr>
        <?php } ?>
        <?php if($show_current_position){ ?>
        <tr>
          <td align="left"><b>Current Position:</b></td>
          <td align="center"><span id="current">0</span> / <span id="total_kbytes"></span> KBytes</td>
        </tr>
        <?php } ?>
        <?php if($show_elapsed_time){ ?>
        <tr>
          <td align="left"><b>Elapsed Time:</b></td>
          <td align="center"><span id="time">0</span></td>
        </tr>
        <?php } ?>
        <?php if($show_est_time_left){ ?>
        <tr>
          <td align="left"><b>Est Time Left:</b></td>
          <td align="center"><span id="remain">0</span></td>
        </tr>
        <?php } ?>
        <?php if($show_est_speed){ ?>
        <tr>
          <td align="left"><b>Est Speed:</b></td>
          <td align="center"><span id="speed">0</span> KB/s.</td>
        </tr>
        <?php } ?>
      </table>
      <?php } ?> 
      
    </div>
    <!-- End Progress Bar -->
    
    <?php if($embedded_upload_results){ ?>
    <!-- Embedded Upload Results -->
    <div id="upload_div" style="display:none; width:805; height:205; overflow:auto;"><iframe name="upload_iframe" frameborder=0 width="800" height="200"></iframe></div>
    <?php } ?>
    
    <br>
    
    <!-- Start Upload Form -->  
    <form name="form_upload" <?php if($embedded_upload_results){ ?>target="upload_iframe"<?php } ?> method="post" enctype="multipart/form-data"  action="<?php print $path_to_upload_script; ?>" style="margin: 0px; padding: 0px;">
      <?php if($embedded_upload_results){ ?><input type="hidden" name="embedded_upload_results" value="1"><?php } ?>
      <noscript><input type="hidden" name="no_script" value="1"></noscript>
      <!-- Include extra values you want passed to the upload script here. -->
      <!-- eg. <input type="text" name="employee_num" value="5"> -->
      <!-- Access the value in the cgi with $query->param('employee_num'); -->
      <!-- Access the value in the php finished page with $_POST_DATA['employee_num']; -->
      <!-- DO NOT USE "upfile_" for any of your values. --> 
      <div id="upload_slots">
        <input type="file" name="upfile_0" size="90" <?php if($multi_upload_slots){ ?>onChange="addUploadSlot(1)"<?php } ?>  onkeypress="return handleKey(event)" value="">
      </div> 
      <noscript><br><input type="reset" name="no_script_reset" value="Reset">&nbsp;&nbsp;&nbsp;<input type="submit" name="no_script_submit" value="Upload"></noscript> 
    </form>
    <!-- End Upload Form -->
     
    <br>
    <script language="javascript" type="text/javascript">
    <!--  
        document.writeln('<input type="button" name="reset_button" value="Reset" onClick="resetForm();">&nbsp;&nbsp;&nbsp;<input type="button" id="upload_button" name="upload_button" value="Upload" onClick="uploadFiles();">');
    //-->
    </script>
  </div>
   <br>
</body>
</html>
